<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage twentyfourteen-child
 * @since Twenty Fourteen Child 1.0
 */
if ( is_user_logged_in() ) {
   $user = wp_get_current_user();
   $current_user_id = $user->ID;
   $last_purchased_package = get_user_meta( $current_user_id, 'purchased_package', true );
   $subscription_expire = get_user_meta( $current_user_id, 'subscription_expire', true );
   $subscription_expire_timestamp = strtotime($subscription_expire);
   $current_timestamp = time();

   if($current_timestamp>$subscription_expire_timestamp && $subscription_expire!=''){
     update_user_meta( $current_user_id, 'package_status', 'Expired' );
     if($last_purchased_package!=''){
       $account_url = get_the_permalink($last_purchased_package).'/?msg=expired';
     }else{
       echo 'Somthing went wrong';
       die; 
     }         
   }
}


?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<!-- Plugins -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/plugins.min.css" />
	<!-- Main Stylesheet -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/style.css" />
	<!-- Responsive -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/responsive.css">    

    <!--[if lt IE 9]>
	  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
	  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	  <![endif]-->
	<?php wp_head(); ?>
   <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-P3H5LTW');</script>
<!-- End Google Tag Manager -->
</head>

<body class="bg-black" <?php body_class(); ?>>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-P3H5LTW"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
<!-- 	<header>
		<?php if ( get_header_image() ) : ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo">
				<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
			</a>
		<?php endif; ?>
		
	    <div class="nav-area">
	      <span class="toggle-menu"><i class="fa fa-bars" aria-hidden="true"></i></span>
	      <nav class="nav-sup">
			<?php wp_nav_menu( array( 'menu'=> 'header_menu', 'container'=> false ) );?>
	      </nav>
	    </div>
	</header> -->




      <a href="javascript:" id="return-to-top"><span data-uk-icon="icon: chevron-up; ratio: 1"></span></a>
      <!-- Loading Screen -->
      <div id="loader-wrapper">
         <!-- Loading Image -->
         <div class="loader-img"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/loading-screen.gif" alt="" /></div>
         <!-- END Loading Image -->
         <!-- Loading Screen Split -->
         <div class="loader-section section-left"></div>
         <div class="loader-section section-right"></div>
         <!-- End Loading Screen Split -->
      </div>
      <!-- End Loading Screen -->
      <!-- Off-Canvas Navigation -->
      <div id="offcanvas-nav" data-uk-offcanvas="mode: push; overlay: true; esc-close: true;">
         <!-- Off-Canvas Bar -->
         <div class="uk-offcanvas-bar menu-dark bg-black">
            <!-- Off-Canvas Links-->
            <ul class="uk-nav-default uk-nav-parent-icon text-left" data-uk-nav>
               <li class="margin-top-20px"><a class="uk-navbar-item uk-logo" href="<?php echo site_url();?>"><img class="width-25px" src="<?php echo get_stylesheet_directory_uri(); ?>/images/logo-white.png" alt="PCIPhotography" /></a></li>
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/home" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Home</span></a>
               </li>
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/about-pci/" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">About PCI</span></a>
               </li>
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/gallery/" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Gallery</span></a>
               </li>
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/product/pom-contest/" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px" style="color:#FFC500 !important">POM Contest</span></a>
               </li>
               <!-- End Link -->
			   <!-- Link -->
              <!--  <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/maestro-lounge/" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px" style="color:#FFC500 !important">Maestro Lounge</span></a>
               </li> -->
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/subscribe-page/" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Subscribe</span></a>
               </li>
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/news-event/" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">News & Events</span></a>
               </li>
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/blog" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Blog</span></a>
               </li>
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo get_site_url(); ?>/contact" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Contact US</span></a>
               </li>
               <!-- End Link -->
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <?php
                  if ( is_user_logged_in() ) { ?>
                     <a href="<?php echo get_the_permalink(351); ?>" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Dashboard</span></a>  
                  <?php }else{ ?>
                  <a href="<?php echo get_site_url(); ?>/login" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Login</span></a>
                  <?php
                  }
                  ?>
               </li>
               <!-- End Link -->
               <?php
               if ( is_user_logged_in() ) { ?>
               <!-- Link -->
               <li class="margin-bottom-10px">
                  <a href="<?php echo wp_logout_url( home_url() ); ?>" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Logout</span></a>
               </li>
               <!-- End Link -->
               <?php } ?>
            </ul>
            <!-- End Off-Canvas Links -->
            <!-- Navigation Footer -->
            <div class="nav-footer margin-top-50px">
               <!-- Off-Canvas Search -->
               <form class="uk-search uk-search-default width-100 bg-black">
                  <a href="" class="uk-search-icon-flip text-white" data-uk-search-icon></a>
                  <input class="uk-search-input text-small text-white text-weight-500 no-border" name="s" type="search" placeholder="Search">
               </form>
               <!-- End Off-Canvas Search -->
               <!-- Social Links for Off-Canvas Footer -->
               <ul class="list-unstyled no-margin-bottom margin-top-20px">
                  <li class="display-inline-block margin-right-25px">
                     <a href="https://www.facebook.com/photographyclubofindiaofficial/" target="_blank"><i class="fab fa-facebook facebook"></i></a>
                  </li>
                  <!--<li class="display-inline-block margin-right-25px">
                     <a href="#"><i class="fab fa-twitter twitter"></i></a>
                  </li>-->
                  <li class="display-inline-block margin-right-25px">
                     <a href="https://www.instagram.com/pci_ig/" target="_blank"><i class="fab fa-instagram instagram"></i></a>
                  </li>
                  <!--<li class="display-inline-block"><a href="#"><i class="fab fa-behance behance"></i></a></li>-->
               </ul>
               <!-- End Social Links for Off-Canvas Footer -->
               <!-- Copyright Information -->
               <p class="no-margin-bottom margin-top-20px text-small text-gray-light text-weight-400">Copyright © <?php date('Y');?></p>
               <p class="no-margin-bottom text-small text-gray-light text-weight-400 text-black">All rights reserved.</p>
               <!-- End Copyright Information -->
            </div>
            <!-- End Navigation Footer -->
         </div>
         <!-- End Off-Canvas Bar -->
      </div>
      <!-- End Off-Canvas Navigation -->
      <!-- Home -->
      <div class="bg-black uk-position-relative uk-visible-toggle uk-light" tabindex="-1" data-uk-slider="finite: true">
         <!-- Slider Container -->
         <ul class="uk-slider-items uk-child-width-1-3@m" data-uk-height-viewport>

            <li class="uk-transition-toggle uk-animation-toggle">
               <!-- Overlay -->
               <div class="bg-black uk-position-cover swipe-white">
                  <!-- Overlay Content -->
                  <div class="uk-position-center text-center text-gray-regular">
                     <?php the_field('banner_content',2);?>
                  </div>
                  <!-- Overlay Content -->
               </div>
               <!-- End Overlay -->
            </li>
            <?php if(have_rows('banner_images',2)): while(have_rows('banner_images',2)): the_row();
                  $upload_image = get_sub_field('upload_image');
            ?>
            <li class="uk-transition-toggle uk-animation-toggle overflow-hidden">
               <!-- Slider Image -->
               <img src="<?php echo $upload_image['url'];?>" alt="<?php echo $upload_image['alt'];?>" data-uk-cover />
               <!-- Slider Image Hover -->
               <div class="uk-position-cover swipe-white">
                  <!-- Hover Content -->
                  <div class="uk-position-center text-left height-100 width-100 uk-transition-fade">
                     <!-- Hover Position -->
                     <div class="uk-position-center text-center">
                        <!-- Container -->
                        <div class="container">
                           <!-- Hover Icon for Lightbox -->
                           <span data-uk-lightbox="animation: fade">
                           <a href="<?php echo $upload_image['url'];?>" class="uk-inline-clip uk-transition-toggle margin-right-10px" tabindex="0" data-caption="This is a caption.">
                           <span data-uk-icon="icon: search; ratio: 1" class="bg-gold text-black width-50px height-50px line-height-48 border-radius-100"></span>
                           </a>
                           </span>
                           <a href="#">
                           <span data-uk-icon="icon: pull; ratio: 1" class="bg-white text-black width-50px height-50px line-height-48 border-radius-100"></span>
                           </a>
                           <!-- End Hover Icon for Photo Information -->
                        </div>
                        <!-- End Container -->
                     </div>
                  </div>
                  <!-- Overlay Content -->
               </div>
               <!-- End Overlay -->
            </li>
            <?php endwhile; endif;?>
         </ul>
         <a class="uk-position-center-left uk-position-small uk-hidden-hover overlay-black-dense width-50px height-50px line-height-35 border-radius-100 text-center" href="#" data-uk-slidenav-previous data-uk-slider-item="previous"></a>
         <a class="uk-position-center-right uk-position-small uk-hidden-hover overlay-black-dense width-50px height-50px line-height-35 border-radius-100 text-center" href="#" data-uk-slidenav-next data-uk-slider-item="next"></a>
      </div>
      <!-- End Home -->
      <!-- Header -->
      <div class="z-index-999">
         <!-- Header Options -->
         <div class="navbar-dark" data-uk-sticky>
            <!-- Header Container -->
            <nav class="uk-navbar-container" data-uk-navbar="boundary-align: true; align: center;">
               <!-- Navigation Left Side -->
               <div class="uk-navbar-left padding-left-two-percent">
                  <!-- Logo Image -->
                  <a class="uk-navbar-item uk-logo " href="<?php echo site_url();?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/logo-white.png" alt="PCIPhotography" /></a>
               </div>
               <!-- End Navigation Left Side -->
               <!-- Navigation Right Side -->
               <div class="uk-navbar-right uk-light padding-right-two-percent">
                  <!-- Links -->
                  <ul class="uk-navbar-nav text-weight-300">
                     <!-- Link -->
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/home">Home</a>
                     </li>
                     <!-- Link -->
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/about-pci/">About PCI</a>
                     </li>
                     <!-- Link -->
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/gallery/">Gallery</a>
                     </li>
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/product/pom-contest/">POM Contest</a>
                     </li>
                      <!-- Link -->
                      <li>
<a class="uk-visible@m" href="<?php echo get_site_url(); ?>/product/exhibition-2023-2024/">Exhibition</a>                       
                        <ul class="sub-menu">
                        <li><a href="<?php echo get_site_url(); ?>/5th-pci-exhibition/">5th Exibition Gallery</a></li>   
								<li><a href="<?php echo get_site_url(); ?>/pci-exhibition/">Exhibition Details</a></li>
                        <li><a href="<?php echo get_site_url(); ?>/student-category/">Student category</a></li>
                        <li><a href="<?php echo get_site_url(); ?>/how-to-enter/">How to Enter</a></li>
                        <li><a href="<?php echo get_site_url(); ?>/selected-photos/">Selected Photos</a></li>
							   </ul>
                     </li>
                     <!-- Link -->
					<!--       <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/maestro-lounge/">Maestro Lounge</a>
                     </li> -->
                     <!-- Link -->
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/subscribe-page/">Subscribe</a>
                     </li>
                     <!-- Link -->
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/news-event/">News & Events</a>
                     </li>
                     <!-- Link -->
                     <li>
                        <a class="text-gray-extra-light text-extra-small uk-visible@l" href="<?php echo get_site_url(); ?>/blog">Blog</a>
                     </li>
                     <!-- Link -->
                     <li>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/contact">Contact</a>
                     </li>
                     <!-- Link -->
                     <li>
                        <?php
                        if ( is_user_logged_in() ) 
						{ 
						if (user_can($user,'administrator')) 
						{
					  ?><li><a href="<?php echo get_the_permalink(689); ?>">Dashboard</a></li>
                        <?php  } else { ?><a class="uk-visible@m" href="<?php echo get_the_permalink(351); ?>">Dashboard</a>
                        <?php } }  else { ?>
                        <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/login">Login</a>
                        <?php } 
                        if ( is_user_logged_in() ) { ?>
                           <ul class="sub-menu">
                              <li><a class="uk-visible@m" href="<?php echo wp_logout_url( home_url() ); ?>">Logout</a></li>
                           </ul>
                        <?php } ?>
                     </li>
                     <!-- Link -->
                     <li>
                        <a class="uk-navbar-toggle" href="#modal-full4" data-uk-search-icon data-uk-toggle></a>
                        <!-- Search Dropdown -->
                        <div class="uk-navbar-dropdown bg-black no-shadow width-100" data-uk-drop="mode: click; cls-drop: uk-navbar-dropdown; boundary: !nav">
                           <div class="uk-grid-small uk-flex-middle" data-uk-grid>
                              <div class="uk-width-expand">
                                 <!-- Input Dropdown -->
                                 <form class="uk-search uk-search-navbar uk-width-1-1">
                                    <input class="uk-search-input roboto text-weight-300" name="s" type="search" placeholder="Search">
                                 </form>
                                 <!-- End Input Dropdown -->
                              </div>
                              <div class="uk-width-auto">
                                 <a class="uk-navbar-dropdown-close" href="#" data-uk-close></a>
                              </div>
                           </div>
                        </div>
                        <!-- End Search Dropdown -->
                     </li>
                     <!--<li><a class="uk-visible@m" href="#"><i class="fab fa-behance behance"></i></a></li>-->
                     <li><a class="uk-visible@m" href="https://www.instagram.com/pci_ig/" target="_blank"><i class="fab fa-instagram instagram"></i></a></li>
				     <li><a class="uk-visible@m" href="https://www.facebook.com/photographyclubofindiaofficial/" target="_blank"><i class="fab fa-facebook facebook"></i></a></li>
                     <!--<li><a class="uk-visible@m" href="#"><i class="fab fa-twitter twitter"></i></a></li>-->
                     <!-- Off-Canvas Navigation Toggle -->
                     <li>
                        <div class="uk-navbar-right uk-hidden@l">
                           <a class="uk-navbar-toggle" data-uk-navbar-toggle-icon data-uk-toggle="target: #offcanvas-nav"></a>
                        </div>
                     </li>
                     <!-- End Off-Canvas Navigation Toggle -->
                  </ul>
               </div>
               <!-- End Navigation Right Side -->
            </nav>
            <!-- End Header Container -->
         </div>
         <!-- End Header Options -->
      </div>
      <!-- End Header Light -->
