<?php
//-------------------------ENQUEUE STYLESHEET AND SCRIPTS-------------------//
function prefix_add_footer_styles() {
    //wp_enqueue_style( 'plugin-style', get_stylesheet_directory_uri() . '/css/plugins.min.css' );
  wp_enqueue_style( 'fancybox-style', '//cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.css' );
};
add_action( 'get_footer', 'prefix_add_footer_styles' );

function wp_schools_enqueue_scripts() {
//wp_enqueue_script('jquery-ui-js', 'https://code.jquery.com/ui/1.12.1/jquery-ui.js', array('jquery'), false, true  );
wp_enqueue_script('plugin-js', get_stylesheet_directory_uri() . '/js/plugins.min.js', array('jquery'), false, true  );
wp_enqueue_script('fancybox-js', '//cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.js', array('jquery'), false, true  );
wp_enqueue_script('google-recaptcha', 'https://www.google.com/recaptcha/api.js');
wp_enqueue_script('custom-js', get_stylesheet_directory_uri() . '/js/custom.js', array('jquery'), false, true  );
};
add_action( 'wp_enqueue_scripts', 'wp_schools_enqueue_scripts', 11);

//----------------------------------------------------------------------//


//----------------dynamic menu item active------------------------//
add_filter('nav_menu_css_class' , 'special_nav_class' , 10 , 2);
function special_nav_class($classes, $item){
     if( in_array('current-menu-item', $classes) ){
             $classes[] = 'active ';
     }

     return $classes;
};
//----------------dynamic menu item active------------------------//


//-------------------create new thumb image 198x197/149x148

add_action( 'after_setup_theme', 'baw_theme_setup' );
function baw_theme_setup() {
  add_image_size( 'gallery-category-thumb', 603, 768, true );
  add_image_size( 'blog-thumb', 800, 640, true );
}

function mytheme_add_woocommerce_support() {
    add_theme_support( 'woocommerce' );
}
add_action( 'after_setup_theme', 'mytheme_add_woocommerce_support' );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
function wc_remove_all_quantity_fields( $return, $product ) {
    return true;
}
add_filter( 'woocommerce_is_sold_individually', 'wc_remove_all_quantity_fields', 10, 2 );

add_filter( 'woocommerce_product_tabs', 'bbloomer_remove_product_tabs', 9999 );
  
function bbloomer_remove_product_tabs( $tabs ) {
    unset( $tabs['additional_information'] ); 
    return $tabs;
}

// To change add to cart text on single product page
add_filter( 'woocommerce_product_single_add_to_cart_text', 'woocommerce_custom_single_add_to_cart_text' ); 
function woocommerce_custom_single_add_to_cart_text() {
    return __( 'Participate Now', 'woocommerce' ); 
}

//Redirect to Checkout Page
add_filter( 'woocommerce_add_to_cart_redirect', 'misha_skip_cart_redirect_checkout' );
function misha_skip_cart_redirect_checkout( $url ) {
    return wc_get_checkout_url();
}
//----------Cart redirect------//
add_action( 'template_redirect', 'skip_cart_redirect' );
function skip_cart_redirect(){
    // Redirect to checkout (when cart is not empty)
    if ( ! WC()->cart->is_empty() && is_cart() ) {
        wp_safe_redirect( wc_get_checkout_url() ); 
        exit();
    }
    // Redirect to shop if cart is empty
    elseif ( WC()->cart->is_empty() && is_cart() ) {
        wp_safe_redirect( wc_get_page_permalink( 'home' ) );
        exit();
    }
}
//-------Empty cart before add to cart in WooCommerce----------//
add_filter( 'woocommerce_add_to_cart_validation', 'remove_cart_item_before_add_to_cart', 20, 3 );
function remove_cart_item_before_add_to_cart( $passed, $product_id, $quantity ) {
    if( ! WC()->cart->is_empty() )
        WC()->cart->empty_cart();
    return $passed;
}
//--------Remove Cart Message ------------//
add_filter( 'wc_add_to_cart_message', 'remove_add_to_cart_message' );
function remove_add_to_cart_message() {
    return;
}

//-------Update User Meta After a Successful Order-------//
add_action( 'woocommerce_thankyou', 'pci_checkout_save_user_meta' );
 
function pci_checkout_save_user_meta( $order_id ) {
    $order = wc_get_order( $order_id );
    // echo '<pre>';
    // print_r($order);

    $current_date = date('Ymd');
    foreach ( $order->get_items() as $item_id => $item ) {
        $product_id = $item->get_product_id();
        $variation_id = $item->get_variation_id();
        $name = $item->get_name();
    }

    //-------Set Package Expiry date---------//
    if($variation_id==285 || $variation_id==289){
      //For Monthly
      $expiry_date = date('Ymd', strtotime('+1 month'));
    }
    if($variation_id==286 || $variation_id==290){
      //For Yearly
      $expiry_date = date('Ymd', strtotime('+1 year'));
    }
    if($variation_id==284 || $variation_id==288){
      //For LifeTime
      $expiry_date = '20501231';
    }

    //------Set Expiry date For Free Package--//
    if($product_id==59){
      //For LifeTime
      $expiry_date = date('Ymd', strtotime('+1 year'));
    }

    $user_id = $order->get_user_id();
    update_user_meta( $user_id, 'package_status', 'Active' );
    update_user_meta( $user_id, 'purchased_package', $product_id );
    update_user_meta( $user_id, 'purchased_package_name', $name );
    update_user_meta( $user_id, 'subscription_start', $current_date );
    update_user_meta( $user_id, 'subscription_expire', $expiry_date );
    //die;
}


add_action('wp_logout','auto_redirect_after_logout');

function auto_redirect_after_logout(){
  $logout_url = get_the_permalink(207);
  wp_safe_redirect( $logout_url );
  exit;
}

//---------Package Subscription Setup-----------//
if( function_exists('acf_add_options_page') ) {
  
  acf_add_options_page(array(
    'page_title'  => 'Subscription Package Management',
    'menu_title'  => 'PCI Settings',
    'menu_slug'   => 'pci-settings',
    'capability'  => 'edit_posts',
    'position'  =>  '10.5',
    'icon_url' => 'dashicons-chart-bar',
    'update_button' => __('Update', 'acf'),
    'updated_message' => __("Package Settings Successfully Updated", 'acf'),
    'redirect'    => true
  ));
  
  acf_add_options_sub_page(array(
    'page_title'  => 'Subscription Package Management For Bronze',
    'menu_title'  => 'Package Bronze',
    'parent_slug' => 'pci-settings',
  ));
  acf_add_options_sub_page(array(
    'page_title'  => 'Subscription Package Management For Silver',
    'menu_title'  => 'Package Silver',
    'parent_slug' => 'pci-settings',
  ));
  acf_add_options_sub_page(array(
    'page_title'  => 'Subscription Package Management For Gold',
    'menu_title'  => 'Package Gold',
    'parent_slug' => 'pci-settings',
  ));
   acf_add_options_sub_page(array(
    'page_title'  => 'Theme Setting',
    'menu_title'  => 'Theme Setting',
    'parent_slug' => 'pci-settings',
  ));
}

//-----------cron_schedule Set Checking Date Range---------------//
// $args = array(false);
// function schedule_my_cron(){
//     wp_schedule_event(time(), 'daily', 'my_schedule_hook', $args);
// }
// if(!wp_next_scheduled('my_schedule_hook',$args)){
//     add_action('init', 'schedule_my_cron');
// }

/*
function my_cron_schedules($schedules){
    if(!isset($schedules["5min"])){
        $schedules["5min"] = array(
            'interval' => 5*60,
            'display' => __('Once every 5 minutes'));
    }
    return $schedules;
}
add_filter('cron_schedules','my_cron_schedules');


wp_schedule_event(time(), '5min', 'my_schedule_hook', $args);
function my_schedule_hook(){
    date_default_timezone_set (date_default_timezone_get());
    $current_date = date('Ymd');
    $dt = strtotime ($current_date);
    $checking_strt_date = date ('N', $dt) == 1 ? date ('Ymd', $dt) : date ('Ymd', strtotime ('last monday', $dt));
    $checking_end_date = date('N', $dt) == 7 ? date ('Ymd', $dt) : date ('Ymd', strtotime ('next sunday', $dt));
    update_post_meta( 2, 'checking_upload_start_date', $checking_strt_date );
    update_post_meta( 2, 'checking_upload_end_date', $checking_end_date );
    wp_mail('vivekroy1989@gmail.com', 'PCI Schedulr Date Update Mail', 'Start Date:'.$checking_strt_date);
}
*/

date_default_timezone_set (date_default_timezone_get());
$current_date = date('Ymd');
$dt = strtotime ($current_date);
$checking_strt_date = date ('N', $dt) == 1 ? date ('Ymd', $dt) : date ('Ymd', strtotime ('last monday', $dt));
$checking_end_date = date('N', $dt) == 7 ? date ('Ymd', $dt) : date ('Ymd', strtotime ('next sunday', $dt));
update_post_meta( 2, 'checking_upload_start_date', $checking_strt_date );
update_post_meta( 2, 'checking_upload_end_date', $checking_end_date );



	

function cron_set_notify_caff8911() 
{
		global $wpdb;
		$date=date('m/d/Y');
		$sql = "SELECT * FROM pc_set_notifications WHERE  notification_start='".$date."' and status=0 order by id desc";
		$result = $wpdb->get_results($sql);

		foreach($result as $res)
		{
			$plan_id=$res->plan_id;
			$notification=$res->notification;
			$notifycycle=$res->notifycycle;
			$sqltest = "SELECT * FROM `pc_usermeta` WHERE `meta_value` = '".$plan_id."' and meta_key='purchased_package'";
			$resulttest[] = $wpdb->get_results($sqltest);

		for($k=0;$k<count($resulttest[0]);$k++)
			{
				$user_id=$resulttest[0][$k]->user_id;
				$wpdb->insert('pc_notifications', array(
				'uid' =>$user_id,
				'notification'=>$notification
				)); 

			}	

		}
}

add_action( 'set_notify', 'cron_set_notify_caff8911', 10, 0 );

function cron_check_package_activation_97205ec0() 
{
    global $wpdb;
	$current_user = wp_get_current_user();
	$user_id=$current_user->data->ID;
	
	$package_start_date=get_user_meta($user_id,$key = 'subscription_start',$single = false );
	$package_start_date_1=$package_start_date[0];
	//echo strtotime($package_start_date_1);
	$package_expiray_date=get_user_meta($user_id,$key = 'subscription_expire',$single = false );
	$package_expiray_date1=$package_expiray_date[0];
	$package_expiray_date1_time=strtotime($package_expiray_date1);
	$curentdatetime=date('Y-m-d');
	$curentdatetimenew=strtotime($curentdatetime);
	$diff = floor(($package_expiray_date1_time-$curentdatetimenew) / (3600 * 24)); 
	if(($diff<=7) && ($diff>0))
	{
		
						$notify="Your subscription will be expire within next ".$diff." days . Please upgrade your plan";		
						$result = $wpdb->get_results($sql);		
						$wpdb->insert('pc_notifications', array(
						'notification'=>$notify,
						'uid'=>$user_id
						));
	
	}	


}

add_action( 'check_package_activation', 'cron_check_package_activation_97205ec0', 10, 0 );

/**
 *	Create a New User Role 
 */
add_role('maestro', __(
   'Maestro'),
   array(
       'read'            => true, // Allows a user to read
       'create_posts'    => true, // Allows user to create new posts
       'edit_posts'      => true, // Allows user to edit their own posts
       )
);

/* Add Google recaptcha to WordPress comment box */
function add_google_recaptcha($submit_field) {
    $submit_field['submit_field'] = '<div class="g-recaptcha" data-sitekey="6LdeNzUgAAAAAKPj7wBoxOoTigLgUd14ka9nXqmp"></div><br>' . $submit_field['submit_field'];
    return $submit_field;
}
if (!is_user_logged_in()) {
    add_filter('comment_form_defaults','add_google_recaptcha');
}
 
/** Google recaptcha check, validate and catch the spammer */
function is_valid_captcha($captcha) {
$captcha_postdata = http_build_query(array(
                            'secret' => '6LdeNzUgAAAAAHP1LcPPpWIV19OK94oRfLmPXmip',
                            'response' => $captcha,
                            'remoteip' => $_SERVER['REMOTE_ADDR']));
$captcha_opts = array('http' => array(
                      'method'  => 'POST',
                      'header'  => 'Content-type: application/x-www-form-urlencoded',
                      'content' => $captcha_postdata));
$captcha_context  = stream_context_create($captcha_opts);
$captcha_response = json_decode(file_get_contents("https://www.google.com/recaptcha/api/siteverify" , false , $captcha_context), true);
if ($captcha_response['success'])
    return true;
else
    return false;
}
 
function verify_google_recaptcha() {
$recaptcha = $_POST['g-recaptcha-response'];
if (empty($recaptcha))
    wp_die( __("<b>ERROR:</b> please select <b>I'm not a robot!</b><p><a href='javascript:history.back()'>« Back</a></p>"));
else if (!is_valid_captcha($recaptcha))
    wp_die( __("<b>Go away SPAMMER!</b>"));
}
if (!is_user_logged_in()) {
    add_action('pre_comment_on_post', 'verify_google_recaptcha');
}

// Disable all payment gateways on the checkout page and replace the "Pay" button with "Place order".

//add_filter( 'woocommerce_cart_needs_payment', '__return_false' );
//
//
//
//

// remove add to cart
//add_filter( 'woocommerce_is_purchasable', '__return_false');