<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage twentyfourteen-child
 * @since Twenty Fourteen Child 1.0
 */
if ( is_user_logged_in() ) {
   $user = wp_get_current_user();
   $current_user_id = $user->ID;
   $last_purchased_package = get_user_meta( $current_user_id, 'purchased_package', true );
   $subscription_expire = get_user_meta( $current_user_id, 'subscription_expire', true );
   $subscription_expire_timestamp = strtotime($subscription_expire);
   $current_timestamp = time();

   if($current_timestamp>$subscription_expire_timestamp && $subscription_expire!=''){
     update_user_meta( $current_user_id, 'package_status', 'Expired' );
     if($last_purchased_package!=''){
       $account_url = get_the_permalink($last_purchased_package).'/?msg=expired';
     }else{
       echo 'Somthing went wrong';
       die; 
     }         
   }
}
$current_user = wp_get_current_user();

if(!empty($current_user))
{
	$user_id=$current_user->data->ID;
	$user_details=get_user_meta($user_id,$key = '',$single = false );
	/*echo '<pre>';
	print_r($user_details);*/
	
	
}	
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<!-- Plugins -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/plugins.min.css" />
	<!-- Main Stylesheet -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/style_dashboard.css" />
	<!-- Responsive -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/responsive.css">    
	<link href="<?php echo get_stylesheet_directory_uri(); ?>/lib/animate/animate.min.css" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400|Nunito:600,700" rel="stylesheet"> 
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.0/css/all.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel='dns-prefetch' href='//fonts.googleapis.com' />
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
	<?php wp_head(); ?>
</head>

    <body>
        <!-- Nav Bar Start -->
		<a href="javascript:" id="return-to-top"><span data-uk-icon="icon: chevron-up; ratio: 1"></span></a>
		<header class="top_header" id="myHeader">
         <div class="container-fluid">
		  <div class="row">
		   <div class="col-sm-3">
		    <a href="<?php echo get_site_url(); ?>"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/logo-white.png"></a>		   
		   </div>
		   <div class="col-sm-9">
			<div class="nav_menu">
				<ul>
					<li><a class="uk-visible@m" href="<?php echo get_site_url(); ?>/home">Home</a></li>
					<li><a class="uk-visible@m" href="<?php echo get_site_url(); ?>/about-pci">About PCI</a></li>
					<li> <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/gallery">Gallery</a></li>
					<li> <a class="uk-visible@m" href="<?php echo get_site_url(); ?>/maestro-lounge">Maestro Lounge</a></li>

					<li><a href="<?php echo get_site_url(); ?>/subscribe-page">Subscribe</a> </li>

					<li><a href="<?php echo get_site_url(); ?>/news-event">News &amp; Events</a></li>
					<li><a href="<?php echo get_site_url(); ?>/blog">Blog</a></li>
					<!-- Link -->
					<li><a href="<?php echo get_site_url(); ?>/contact">Contact</a></li>
					<!-- Link -->
					<?php
					if ( is_user_logged_in() ) 
					{ 
						if (user_can($current_user,'administrator')) 
						{
					?>
							<li><a href="<?php echo get_the_permalink(689); ?>">Dashboard</a></li>

					<?php  } else { ?><li><a href="<?php echo get_the_permalink(351); ?>">Dashboard</a></li><?php } 
					}  else { ?>
						<li><a href="<?php echo get_site_url(); ?>/login">Login</a></li>
					<?php } ?>
					<?php
					if ( is_user_logged_in() ) { ?>
						<!-- Link -->
						<li class="margin-bottom-10px">
							<a href="<?php echo wp_logout_url( home_url() ); ?>" class="bottom-border border-1px border-color-gray-extra-dark"><span class="text-small text-white roboto text-weight-300 padding-bottom-20px">Logout</span></a>
						</li>
						<!-- End Link -->
					<?php } ?>
					<li><a href="#"><i class="fas fa-search"></i></a></li>
					<!--<li><a class="" href="#"><i class="fab fa-behance behance"></i></a></li>-->
					<li><a class="" href="#"><i class="fab fa-instagram instagram"></i></a></li>
					<li><a class="" href="#"><i class="fab fa-facebook facebook"></i></a></li>
					<!--<li><a class="" href="#"> <i class="fab fa-twitter twitter"></i></a> </li>-->

				</ul>
			
			</div>
			
		   
		   </div>
		  
		  </div>
		 
		 </div>
		
		</div>
		</div>
		
		</header>