<?php
/**
 Template Name: News & Event Page
*/

get_header(); 
$ID = get_the_ID();
?>

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-large text-weight-300 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title($ID); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<!-- News / Blog -->
<div class="bg-black padding-top-bottom-50px">
 <!-- Container -->
 <div class="container">
    <!-- Animation -->
    <div data-uk-scrollspy="cls: uk-animation-slide-right-medium; target: > .row > div ; delay: 50; repeat: false">

   <!-- Row -->
   <div class="row">
    <?php
      $count = 0;
      $count2 = 0;
        $args = array( 
            'post_type' => 'news_event',
                'posts_per_page' => -1
            );
        query_posts($args);
        if (have_posts()) : while (have_posts()) : the_post();
        $post_id = get_the_ID();
        $url = wp_get_attachment_image_src( get_post_thumbnail_id($post_id), 'blog-thumb');
        $alt_text = get_post_meta(get_post_thumbnail_id( $post_id ), '_wp_attachment_image_alt', true);
        $count_posts = wp_count_posts();
        $published_posts = $count_posts->publish;
        $count++;
        $count2++; 
    ?>   
          <!-- Column -->
          <div class="col-md-6 col-sm-12 col-xs-12">
             <div class="row margin-bottom-75px">
                <!-- Column -->
                <div  class="col-md-6 col-sm-12 col-xs-12">
                   <a href="<?php the_permalink(); ?>"><img class="sm-margin-bottom-20px" src="<?php echo $url[0]; ?>" alt="<?php echo $alt_text; ?>" /></a>
                </div>
                <!-- End Column -->
                <!-- Column -->
                <div class="col-md-6 col-sm-12 col-xs-12 uk-flex uk-flex-middle">
                   <!-- Tab Description -->
                   <div>
                      <a href="<?php the_permalink(); ?>">
                         <h6 class="text-extra-large text-weight-400 text-white margin-bottom-15px"><?php the_title(); ?>.</h6>
                      </a>
                      <!-- Post Information -->
                      <p class="text-extra-small margin-bottom-10px">
                         <span data-uk-icon="icon: clock; ratio: .8" class="margin-right-5px text-gray-light position-relative bottom-1"></span><a class="margin-right-10px text-gray-light"><?php the_time(__('d', 'kubrick')) ?> <?php the_time(__('M', 'kubrick')) ?></a> 
                         <!-- <span data-uk-icon="icon: menu; ratio: 1" class="margin-right-5px text-gray-light position-relative bottom-1"></span><a class="margin-right-10px text-gray-light"><?php echo esc_html( $categories[0]->name ); ?></a>  -->
                         <span data-uk-icon="icon: user; ratio: 1" class="margin-right-5px text-gray-light position-relative bottom-1"></span><a class="text-gray-light"><?php the_field('post_by'); ?></a>
                      </p>
                      <!-- End Post Information -->
                      <p class="margin-bottom-15px text-gray-light">
                       <?php 
                          $content = get_the_content();
                          $the_content = strip_tags($content);
                          if(strlen($the_content)>80){
                          $the_content = substr($the_content,0,80).'..';
                          echo $the_content;
                          }else{
                          echo $the_content;
                          }        
                       ?>
                      </p>
                      <a class="btn btn-small border-radius-50 btn-white sm-display-table" href="<?php the_permalink(); ?>">Read More</a>
                   </div>
                   <!-- End Tab Description -->
                </div>
                <!-- End Column -->
             </div>
             <!-- End Row -->
          </div>
          <!-- End Column -->
          <?php if($count == 2 && $count2 < $published_posts){ ?>
          </div>
            <!-- Row -->
            <div class="row">
           <?php } ?>
       
       <!-- End Row -->
      <?php endwhile; endif; wp_reset_query(); ?>
         
      </div>
    </div>
    <!-- End Animation -->
 </div>
 <!-- End Container -->
</div>
<!-- End News / Blog -->

<?php get_footer(); ?>