<?php
/**
 * Template Name: Photo uploads per week Page
 */
date_default_timezone_set('Asia/Kolkata');
if ( ! is_user_logged_in() ) {
  $url = get_the_permalink(207);
  wp_redirect( $url );
  exit;
}
$user = wp_get_current_user();
$current_user_id = $user->ID;

//-----------------Update Weekly Upload Value------------------------//
$last_uploaded_date = get_user_meta( $current_user_id, 'last_uploaded_date', true );
$checking_upload_start_date = strtotime(get_field('checking_upload_start_date',2));
$checking_upload_end_date = strtotime(get_field('checking_upload_end_date',2));
if($last_uploaded_date!=''){
  $last_uploaded_date_timestamp = strtotime($last_uploaded_date);
  if( $checking_upload_start_date<=$last_uploaded_date_timestamp && $checking_upload_end_date>=$last_uploaded_date_timestamp ){
    //------Upload Value not changed---//
  }else{
    update_user_meta( $current_user_id, 'total_uploaded_on_this_week', 0 );
  }
}else{
    update_user_meta( $current_user_id, 'total_uploaded_on_this_week', 0 );
}


//---------Upload Image-------------------------------//
if (isset($_POST['upload-weelky-upload-btn'])){

    $user = wp_get_current_user();
    $current_user_id = $user->ID;
    $total_uploaded_images = get_user_meta( $current_user_id, 'total_uploaded_images', true );
    $total_uploaded_on_this_week = get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true );

    require_once( ABSPATH . 'wp-admin/includes/image.php' );
    require_once( ABSPATH . 'wp-admin/includes/file.php' );
    require_once( ABSPATH . 'wp-admin/includes/media.php' );

    $files = $_FILES["uploaded_images"];
    // echo '<pre>';
    // print_r($files);
    // die;
    $upload_count = 0;
    foreach ($files['name'] as $key => $value) {
      if ($files['name'][$key]){
            $upload_count++;
            $file = array( 
                'name' => $files['name'][$key],
                'type' => $files['type'][$key], 
                'tmp_name' => $files['tmp_name'][$key], 
                'error' => $files['error'][$key],
                'size' => $files['size'][$key]
            ); 
          $_FILES = array ("uploaded_images" => $file);
        //echo '<pre>';
        //print_r($_FILES);           
        //var_dump($_FILES);
        
          foreach ($_FILES as $file => $array) {
            $time = time();
            $upload_title = $time. ' Uploded by '.$user->user_firstname.' '.$user->user_lastname.' Uploded on: '.Date('d-m-Y h:i:sa');
            $new_upload = array(
                    'ID' => '',
                    'post_author' => $current_user_id,
                    'post_title' => $upload_title,
                    'post_type' => 'photo',
                    'post_status' => 'pending',
            );
            $upload_id = wp_insert_post($new_upload);
            //Set photo folder to Uncategories-----//
            wp_set_object_terms( $upload_id, 'Uncategorized', 'folder' );

            $attach_id = media_handle_upload( $file, -1 );
            //var_dump($attach_id);
            set_post_thumbnail( $upload_id, $attach_id );
            $total_uploaded_images++;
            $total_uploaded_on_this_week++;
          }
      } 
    }
    update_user_meta( $current_user_id, 'total_uploaded_images', $total_uploaded_images );
    update_user_meta( $current_user_id, 'total_uploaded_on_this_week', $total_uploaded_on_this_week );
    update_user_meta( $current_user_id, 'last_uploaded_date', date('Ymd') );
    $success_url = get_the_permalink(474);
    if($upload_count>0){
      echo '<script>alert("Thanks, You have successfully uploaded images, waiting for admin approval.");</script>';
    }
    echo '<script>window.location.href="'.$success_url.'";</script>';
}
//---------Upload Image-------------------------------//


$package_status = get_user_meta( $current_user_id, 'package_status', true );
if($package_status!='Active'){
  $url = site_url().'/#pricing';
  wp_redirect( $url );
  exit; 
}

$purchased_package_name = get_user_meta( $current_user_id, 'purchased_package_name', true );
$purchased_package_id = get_user_meta( $current_user_id, 'purchased_package', true );


get_header('inner'); ?>
<?php $ID = get_the_ID();
$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $ID ), 'full_image' );
?>

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-medium text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-medium text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title(); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<!-- About Content -->
<div class="about_content_area padding-top-bottom-100px">
   <!-- Container -->
   <div class="container">
      <?php if($purchased_package_id==59){
            $allow_upload = get_field('allow_upload', 'option');
            if(get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true )){
              $upload_this_week = get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true );
            }else{
              $upload_this_week = 0;
            }
            
            $rmain_upload = $allow_upload-$upload_this_week;
      ?>
         <!--Bronze-->
         <p>Total allow photo uploads per week: <?php echo $allow_upload;?></p>
         <?php if($rmain_upload>=0){?>
         <p>Your Remain upload on this week: <?php echo $rmain_upload;?></p>
         <?php }?>
         <?php the_field('weekly_photo_upload_content', 'option'); ?>
      <?php }elseif($purchased_package_id==60){
            $allow_upload = get_field('allow_upload_silver', 'option');
            if(get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true )){
              $upload_this_week = get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true );
            }else{
              $upload_this_week = 0;
            }
            
            $rmain_upload = $allow_upload-$upload_this_week;
      ?>
         <!--Silver-->
         <p>Total allow photo uploads per week: <?php echo $allow_upload;?></p>
         <?php if($rmain_upload>=0){?>
         <p>Your Remain upload on this week: <?php echo $rmain_upload;?></p>
         <?php }?>
         <?php the_field('weekly_photo_upload_content_silver', 'option'); ?>
      <?php }else{
            $allow_upload = get_field('allow_upload_gold', 'option');
            if(get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true )){
              $upload_this_week = get_user_meta( $current_user_id, 'total_uploaded_on_this_week', true );
            }else{
              $upload_this_week = 0;
            }
            
            $rmain_upload = $allow_upload-$upload_this_week;
      ?>
         <!--Gold-->
         <p>Total allow photo uploads per week: <?php echo $allow_upload;?></p>
         <?php if($rmain_upload>=0){?>
         <p>Your Remain upload on this week: <?php echo $rmain_upload;?></p>
         <?php }?>
         <?php the_field('weekly_photo_upload_content_gold', 'option'); ?>
      <?php }?>

      <?php if($rmain_upload>0){?>
      <h6>Upload Image</h6>
      <small>Maximum upload limit: <?php echo $rmain_upload;?></small>
      <div class="upload_form margin-bottom-30px">
         <form id="weekly-upload-frm" lass="contact-form text-left" method="post" enctype="multipart/form-data" action="">
            <div class="controls" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > .row > div ; delay: 50; repeat: false">
            <!-- Row -->
            <div class="row">
            
               <!-- Column -->
               <div class="col-md-12 col-sm-12 col-xs-12 uk-scrollspy-inview uk-animation-slide-bottom-medium" style="">
               
                  <!-- Form Group -->
                  <div class="form-group">
                     <!-- Input -->
                     <input class="form-control form_name no-margin-top padding-20px text-white text-weight-400 roboto bg-transparent border-color-gray-extra-dark" type="file" name="uploaded_images[]" required="required" accept=".png, .jpg, .jpeg" multiple>
                     <!-- Error Block -->
                     <div class="help-block with-errors"></div>
                  
                  </div>
                  <!-- End Form Group -->
                  
               </div>
               <!-- End Column -->
                             
               <!-- Column -->
               <div class="col-md-12 text-center" style="visibility: hidden;">
               
                  <!-- Input -->
                  <input type="submit" class="btn btn-small border-radius-50 btn-white sm-display-table" value="Upload" name="upload-weelky-upload-btn">
                  
               </div>
               <!-- End Column -->
            </div>
               </div>
         </form>
      </div>  
      <?php }?>
   </div>
   <!-- End Container -->
</div>    
<!-- End About Content -->
<?php get_footer();?>
<script>
  jQuery(function($){

    $('#weekly-upload-frm').submit(function( event ) {
      var $fileUpload = $("input[type='file']");
        if (parseInt($fileUpload.get(0).files.length)><?php echo $rmain_upload;?>){
         alert("You can only upload a maximum of <?php echo $rmain_upload;?> files");
         return false;
        }else{
          return true;
        }
    });
  });
</script>
