<?php
/**
 * Template Name: Maestro Lounge Add Photo
 */
get_header('maestro-lounge');

$args = array(
    'type'  => 'post',
    'child_of'  => 0,
    'parent'  => '',
    'orderby'  => 'name',
    'order'  => 'ASC',
    'hide_empty'  => 0,
    'hierarchical' => 1,
    'exclude' => '',
    'include' => '',
    'number' => '',
    'taxonomy'  => array('gallery_type'),
    'pad_counts' => true
);

$taxonomies = get_categories( $args );
$current_user = wp_get_current_user();
$user_id = $current_user->ID;
$first_name = get_user_meta( $user_id, 'first_name', true );
$last_name = get_user_meta( $user_id, 'last_name', true );
$current_user_name = $first_name . ' ' . $last_name;
$taxonomy_slug = $first_name . '-' . $last_name;

if(isset($_POST['submit'])) {
    global $wpdb;

    $title = $_POST['title'];
    $subtitle = $_POST['subtitle'];
    $termid = $_POST['termid'];
    $description = $_POST['description'];
    $parent_term_id = 48;
    $term = term_exists( $termid, 'gallery_type' );

    //echo "<pre>"; print_r($term); die;

    if ( $term !== 0 && $term !== null ) {
        //echo "term exists";
        $post_id = wp_insert_post(array (
            'post_type' => 'photo_gallery',
            'post_title' => $title,
            'post_content' => $description,
            'post_status' => 'publish',
            'comment_status' => 'closed',   // if you prefer
            'ping_status' => 'closed',      // if you prefer
        ));

        // Add Featured Image to Post
        $file_name = $_FILES['browse']['name'];
        $image_url        = $_FILES['browse']['tmp_name']; // Define the image URL here
        $image_name       = $file_name;
        $upload_dir       = wp_upload_dir(); // Set upload folder
        $image_data       = file_get_contents($image_url); // Get image data
        $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
        $filename         = basename( $unique_file_name ); // Create image file name

        // Check folder permission and define file location
        if( wp_mkdir_p( $upload_dir['path'] ) ) {
            $file = $upload_dir['path'] . '/' . $filename;
        } else {
            $file = $upload_dir['basedir'] . '/' . $filename;
        }

        // Create the image  file on the server
        file_put_contents( $file, $image_data );

        // Check image file type
        $wp_filetype = wp_check_filetype( $filename, null );

        // Set attachment data
        $attachment = array(
            'post_mime_type' => $wp_filetype['type'],
            'post_title'     => sanitize_file_name( $filename ),
            'post_content'   => '',
            'post_status'    => 'inherit'
        );

        // Create the attachment
        $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

        // Include image.php
        require_once(ABSPATH . 'wp-admin/includes/image.php');

        // Define attachment metadata
        $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

        // Assign metadata to attachment
        wp_update_attachment_metadata( $attach_id, $attach_data );

        // And finally assign featured image to post
        set_post_thumbnail( $post_id, $attach_id );

        if ($post_id) {
            // insert post meta
            $arg = array(
                'ID' => $post_id,
                'post_author' => $user_id,
            );
            wp_update_post( $arg );

            add_post_meta($post_id, 'title', $title);
            add_post_meta($post_id, 'subtitle', $subtitle);
            add_post_meta($post_id, 'description', $description);

            if($wpdb->insert('pc_term_relationships', array(
                'object_id' => $post_id,
                'term_taxonomy_id' => $term['term_taxonomy_id'],
                'term_order' => '0', // ... and so on
            ))) {
                $update_taxonomy = 'gallery_type';

                $get_terms_args = array(
                    'taxonomy'   => $update_taxonomy,
                    'hide_empty' => false,
                    'fields'     => 'ids', // nota bene.
                );

                $update_terms = get_terms( $get_terms_args ); // get the array of term IDs.

                wp_update_term_count_now( $update_terms, $update_taxonomy );
            }



        }
    } else {
        $term_id = wp_insert_term(
            $termid,   // the term
            'gallery_type', // the taxonomy
            array(
                'description' => '',
                'slug'        => $taxonomy_slug,
                'parent'      => $parent_term_id,
            ));

        $post_id = wp_insert_post(array (
            'post_type' => 'photo_gallery',
            'post_title' => $title,
            'post_content' => $description,
            'post_status' => 'publish',
            'comment_status' => 'closed',   // if you prefer
            'ping_status' => 'closed',      // if you prefer
        ));

        // Add Featured Image to Post
        $file_name = $_FILES['browse']['name'];
        $image_url        = $_FILES['browse']['tmp_name']; // Define the image URL here
        $image_name       = $file_name;
        $upload_dir       = wp_upload_dir(); // Set upload folder
        $image_data       = file_get_contents($image_url); // Get image data
        $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
        $filename         = basename( $unique_file_name ); // Create image file name

        // Check folder permission and define file location
        if( wp_mkdir_p( $upload_dir['path'] ) ) {
            $file = $upload_dir['path'] . '/' . $filename;
        } else {
            $file = $upload_dir['basedir'] . '/' . $filename;
        }

        // Create the image  file on the server
        file_put_contents( $file, $image_data );

        // Check image file type
        $wp_filetype = wp_check_filetype( $filename, null );

        // Set attachment data
        $attachment = array(
            'post_mime_type' => $wp_filetype['type'],
            'post_title'     => sanitize_file_name( $filename ),
            'post_content'   => '',
            'post_status'    => 'inherit'
        );

        // Create the attachment
        $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

        // Include image.php
        require_once(ABSPATH . 'wp-admin/includes/image.php');

        // Define attachment metadata
        $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

        // Assign metadata to attachment
        wp_update_attachment_metadata( $attach_id, $attach_data );

        // And finally assign featured image to post
        set_post_thumbnail( $post_id, $attach_id );

        if ($post_id) {
            // insert post meta
            $arg = array(
                'ID' => $post_id,
                'post_author' => $user_id,
            );
            wp_update_post( $arg );

            add_post_meta($post_id, 'title', $title);
            add_post_meta($post_id, 'subtitle', $subtitle);
            add_post_meta($post_id, 'description', $description);

            if($wpdb->insert('pc_term_relationships', array(
                'object_id' => $post_id,
                'term_taxonomy_id' => $term_id['term_taxonomy_id'],
                'term_order' => '0', // ... and so on
            ))) {
                $update_taxonomy = 'gallery_type';

                $get_terms_args = array(
                    'taxonomy'   => $update_taxonomy,
                    'hide_empty' => false,
                    'fields'     => 'ids', // nota bene.
                );

                $update_terms = get_terms( $get_terms_args ); // get the array of term IDs.

                wp_update_term_count_now( $update_terms, $update_taxonomy );
            }


            /*
            $term = get_terms( $term_id, 'gallery_type' );
            $post_count = $term->count;
            wp_update_term(
                $term_id,
                'gallery_type',
                array(
                'count' => $post_count,
            ));*/
        }
    }
} //POST Submit end

?>


<!-- Nav Bar End -->

<section class="banner_area">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center">
                <h1 class="title_txt">My <span>Dashboard</span></h1>
            </div>
        </div>
    </div>
</section>


<section class="bg-black">
    <div class="container-fluid">
        <div class="row">
            <?php get_sidebar('maestro-dashboard');?>
            <div class="col-md-9 dashboard_right">
                <h3>Add New Photo</h3>
                <form class="form-horizontal" action="<?php echo get_site_url(); ?>/maestro-lounge-add-new-photo/" method="post" name="frm1" enctype="multipart/form-data">
                    <div class="photo_section">
                        <label class="browse_bt1 "><span>Browse</span><input type="file" name="browse" id="i_file"></label>
                        <img src="" id="set_image" width="200" style="display:none;" />
                        <!--<div class="photo"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/photo.jpg"></div>-->
                    </div>
                    <div class="addphoto_section_form">
                        <div class="ad_profile_form">
                            <div class="form-group">
                                <input type="text" class="form-control" id="" placeholder="Title" name="title">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="Sub-title" name="subtitle">
                            </div>

                            <div class="form-group">
                                <input type="hidden" class="form-control" placeholder="Category" name="termid" value="<?php echo $current_user_name;?>">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="Camera Body" name="camerabody">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="Lens" name="lens">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="Shutter Speed" name="shutterspeed">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="ISO" name="iso">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="Aperture" name="aperture">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control"  placeholder="White Balance" name="whitebalance">
                            </div>

                            <div class="form-group">
                                <textarea class="form-control txt_area" id="" rows="3" name="description" placeholder="Description (300 words)"></textarea>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn submit_bt" name="submit">SUBMIT</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

</section>

<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js"></script>
<script src="<?php echo get_stylesheet_directory_uri(); ?>/js/main.js"></script>

<script>
    window.onscroll = function() {myFunction()};

    var header = document.getElementById("myHeader");
    var sticky = header.offsetTop;

    function myFunction() {
        if (window.pageYOffset > sticky) {
            header.classList.add("sticky");
        } else {
            header.classList.remove("sticky");
        }
    }

    $('#i_file').change( function(event) {
        var tmppath = URL.createObjectURL(event.target.files[0]);
        $("#set_image").fadeIn("fast").attr('src',tmppath);
    });
</script>
<?php get_footer();?>
