<?php
/**
 * The Template for displaying all single posts
 *
 * @package WordPress
 * @subpackage twentyfourteen-child
 * @since Twenty Fourteen Child 1.0
 */

get_header('inner'); ?>
<?php $ID = get_the_ID();
$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $ID ), 'full_image' );
?>
<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title(); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>            
         </div>
         <!-- End Column -->
      </div>
      <!-- End Row -->
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<?php if(have_posts()):while(have_posts()):the_post(); ?>
<div class="blog_details_page padding-top-bottom-100px"> 
   <!-- Container -->
   <div class="container">
      <!-- Row -->
      <div class="row">
         <!-- Column left -->
         <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 margin-bottom-50px md-margin-top-150px">
            <!-- Blog Posts -->
            <div class="width-95 sm-width-100 sm-margin-left-right-auto">
               <div data-uk-scrollspy="cls: uk-animation-fade; target: > .row > div ; delay: 50; repeat: false">
                  <div class="row">
                     <!-- Column -->
                     <div class="col-md-12 col-sm-12 col-xs-12 text-left uk-scrollspy-inview uk-animation-fade" style="">
						<a href="<?php the_permalink(); ?>"><img src="<?php echo $thumbnail[0] ?>" alt="<?php echo $alt_text; ?>"></a>
                        <h1 class="margin-bottom-20px text-weight-100 text-white"><?php the_title(); ?>.</h1>
                        <!-- Post Information -->
                        <p class="text-extra-small margin-top-20px margin-bottom-30px">
                           <span data-uk-icon="icon: clock; ratio: .8" class="margin-right-5px text-gray-light position-relative bottom-1 uk-icon"><svg width="16" height="16" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" data-svg="clock"> <circle fill="none" stroke="#000" stroke-width="1.1" cx="10" cy="10" r="9"></circle> <rect x="9" y="4" width="1" height="7"></rect> <path fill="none" stroke="#000" stroke-width="1.1" d="M13.018,14.197 L9.445,10.625"></path></svg></span><a class="margin-right-10px text-gray-light"><?php the_time(__('d', 'kubrick')) ?> <?php the_time(__('M', 'kubrick')) ?></a> 
                           
                           <!-- <span data-uk-icon="icon: menu; ratio: 1" class="margin-right-5px text-gray-light position-relative bottom-1 uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" data-svg="menu"> <rect x="2" y="4" width="16" height="1"></rect> <rect x="2" y="9" width="16" height="1"></rect> <rect x="2" y="14" width="16" height="1"></rect></svg></span><a class="margin-right-10px text-gray-light"><?php echo esc_html( $categories[0]->name ); ?></a>  -->
                           
                           <span data-uk-icon="icon: user; ratio: 1" class="margin-right-5px text-gray-light position-relative bottom-1 uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" data-svg="user"> <circle fill="none" stroke="#000" stroke-width="1.1" cx="9.9" cy="6.4" r="4.4"></circle> <path fill="none" stroke="#000" stroke-width="1.1" d="M1.5,19 C2.3,14.5 5.8,11.2 10,11.2 C14.2,11.2 17.7,14.6 18.5,19.2"></path></svg></span><a class="text-gray-light roboto"><?php the_field('post_by'); ?></a>
                           
                        </p>
                        <!-- End Post Information -->
                        <div class="blog_content">  
                           <?php the_content(); ?>
                        </div>
						<div class="comment-form">
							<?php comments_template('', true);?>
						</div>
                     </div>
                     <!-- End Column -->
                     
                  </div>
                  
               </div>
         
               
            </div>
            <!-- End Blog Posts -->
         </div>
         <!-- End Column left -->

         <!-- Column Right -->
         <div class="col-lg-4 col-md-12 col-sm-12 col-xs-12">

            <!-- Container -->
            <div class="container" data-uk-scrollspy="cls: uk-animation-slide-right-medium; target: > .row > div ; delay: 50; repeat: false">
               <!-- Row -->
               <div class="row margin-bottom-75px">

                  <!-- Column -->
                  <div class="col-md-12 col-sm-12 col-xs-12" style="visibility: hidden;">
                  

                     <h6 class="roboto text-large text-white text-weight-300 no-margin-bottom">Categories</h6>
                     
                     <!-- Separator -->
                     <div class="separator width-100 bottom-border border-1px border-color-gray-extra-dark margin-top-20px margin-bottom-25px"></div>
                     <!-- Lists -->
                     <ul class="no-margin no-padding width-100 text-left text-small no-list-style">
                        <?php
                        $taxonomies = get_terms( array(
                            'taxonomy' => 'news_event_category',
                            'hide_empty' => false
                        ) );
                        //print_r($categories);
                        foreach ( $taxonomies as $taxonomi ) {
                        ?>
                        <li class="padding-bottom-25px"><a href="<?php echo get_category_link( $taxonomi->term_taxonomy_id); ?>" class="text-gray-light roboto"><?php echo $taxonomi->name ?> <span class="text-gold margin-left-5px"><?php echo $taxonomi->count ?></span></a></li>
                        <?php } ?>
                     </ul>
                     <!-- End Lists -->
                     
                  </div>
                  <!-- End Column -->
               </div>
               <!-- End Row -->

               <!-- Row -->
               <div class="row margin-bottom-75px">

                  <!-- Column -->
                  <div class="col-md-12 col-sm-12 col-xs-12" style="visibility: hidden;">

                     <h6 class="roboto text-large text-white text-weight-300 no-margin-bottom">Recent Posts</h6>
                     
                     <!-- Separator -->
                     <div class="separator width-100 bottom-border border-1px border-color-gray-extra-dark margin-top-20px margin-bottom-25px"></div>
                     

                      <?php
                          $args = array( 
                                  'post_type' => 'news_event',
                                  'posts_per_page' => 5,
                                  'post__not_in' => array( $post->ID )
                              );
                          query_posts($args);
                          if (have_posts()) : while (have_posts()) : the_post();
                          $post_id = get_the_ID();
                          $url = wp_get_attachment_image_src( get_post_thumbnail_id($post_id), 'blog-thumb');
                          $alt_text = get_post_meta(get_post_thumbnail_id( $post_id ), '_wp_attachment_image_alt', true);
                      ?>   
                     <!-- Row -->
                     <div class="row margin-bottom-30px">
                     
                        <!-- Column -->
                        <div class="col-md-4 col-sm-12 col-xs-12">
                        
                           <a href="<?php the_permalink(); ?>"><img width="87" height="58" src="<?php echo $url[0] ?>" alt="<?php echo $alt_text; ?>"></a>
                        
                        </div>
                        <!-- End Column -->
                        
                        <!-- Column -->
                        <div class="col-md-8 col-sm-12 col-xs-12 text-left uk-flex uk-flex-left sm-margin-top-15px">
                           
                           <div>
                              
                              <p class="text-small text-weight-400 margin-bottom-8px line-height-medium"><a class="text-gray-light" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></p>
                              <p class="no-margin-bottom no-line-height"><a class="text-extra-small text-weight-400 text-underline " href="<?php the_permalink(); ?>">Read More</a></p>
                           
                           </div>
                           
                        
                        </div>
                        <!-- End Column -->
                     </div>
                     <!-- End Row -->
                     <?php endwhile; endif; wp_reset_query(); ?>
                  </div>
                  <!-- End Column -->
               </div>
               <!-- End Row -->

               <!-- Row -->
               <div class="row">

                  <!-- Column -->
                  <div class="col-md-12 col-sm-12 col-xs-12" style="visibility: hidden;">
                  

                     <h6 class="roboto text-large text-white text-weight-300 no-margin-bottom">Archives</h6>
                     
                     <!-- Separator -->
                     <div class="separator width-100 bottom-border border-1px border-color-gray-extra-dark margin-top-25px margin-bottom-25px"></div>
                     
                     <!-- Lists -->
                     <ul id="archive_list" class="no-margin no-padding width-100 text-left text-small no-list-style">
                        <?php wp_get_archives( array( 'type' => 'monthly', 'limit' => 12 ) ); ?>
                     </ul>
                     <!-- End Lists -->
                     
                  </div>
                  <!-- End Column -->
               </div>
               <!-- End Row -->

            </div>
            <!-- End Container -->
            
         </div>
         <!-- End Column Right -->
      </div>
      <!-- End Row -->  
   </div>
   <!-- End Container -->
</div>
<?php endwhile; endif; ?>

<?php get_footer();?>

